Skip to main content
POST
/
edit_in_descript
/
schema
Create Import URL
curl --request POST \
  --url https://descriptapi.com/v1/edit_in_descript/schema \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "partner_drive_id": "aa3b2d8d-e5ca-41c2-8801-683328293fb9",
  "project_schema": {
    "schema_version": "1.0.0",
    "files": [
      {
        "name": "Jane's studio recording",
        "uri": "https://descriptusercontent.com/jane.wav?signature=d182bca64bf94a1483d2fd16b579f955",
        "start_offset": {
          "seconds": 10
        }
      }
    ],
    "source_id": "06b3f5bb-68a2-468a-a5d9-df155c1e3588"
  }
}
EOF
{
  "url": "https://web.descript.com/import?nonce=6e3625ca-f885-460d-b2e3-e3faac79c788"
}

Authorizations

Authorization
string
header
required

Personal API token created in Descript Settings → API Tokens. See the Authentication section for details.

Body

application/json

Edit in Descript schema POST body.

partner_drive_id
string<uuid>
required

The drive id associated with the auth token.

Example:

"aa3b2d8d-e5ca-41c2-8801-683328293fb9"

project_schema
object
required

The Project schema

Response

Successful operation.

url
string<url>

A url for partners to redirect their user to in order to start the import process—expires after 3 hours.

Example:

"https://web.descript.com/import?nonce=6e3625ca-f885-460d-b2e3-e3faac79c788"